#include<stdlib.h>
#include<stdio.h>

int is_even(int *array, int index, int N){
    int number=array[index];
    int sum=0;

    for(int counter = 1; counter < N-index; counter++){
        if(number%2 == 0){
            sum++;
        }
        number = number * array[index+counter];
    }

    if(number%2 == 0){
        sum++;
    }

    return sum;
}

int main(){
    int N;
    scanf("%d", &N);

    int sum=0;

    int number_array[N];
    for(int i=0; i<N; i++){
        scanf("%d", &number_array[i]);
    }

    for(int i=0; i<N; i++){
        sum += is_even(number_array, i, N);
    }

    printf("%d", sum);
}